<?php
/*
    Mini-editor controls - GuppY PHP Script - version 4.5
    CeCILL Copyright (C) 2004-2005 by Laurent Duveau
    Initiated by Laurent Duveau and Nicolas Alvs,
    followed by Albert Aymard, Jean Michel Misrachi and all the Team
      Web site = http://www.freeguppy.org/
      e-mail   = info@aldweb.com

    Version History :
      v4.0 (06 December 2004)  : initial release
                                 controls extracted  from postguest (by Icare)
*/

if (stristr($_SERVER["SCRIPT_NAME"], "ptxt_ctrl.inc")) {
  header("location:../index.php");
  die();
}

$ptxt = str_replace("<","&lt;",$ptxt);
$ptxt = str_replace(">","&gt;",$ptxt);
$ptxt = str_replace("$","&#36;",$ptxt);	
$ptxt = str_replace("[n]","<p align=center>",$ptxt);
$ptxt = str_replace("[/n]","</p>",$ptxt);
$ptxt = str_replace("[N]","<p align=center>",$ptxt);
$ptxt = str_replace("[/N]","</p>",$ptxt);
$ptxt = str_replace("[b]","<b>",$ptxt);
$ptxt = str_replace("[B]","<b>",$ptxt);
$ptxt = str_replace("[/b]","</b>",$ptxt);
$ptxt = str_replace("[/B]","</b>",$ptxt);
$ptxt = str_replace("[p]","<pre>",$ptxt);
$ptxt = str_replace("[P]","<pre>",$ptxt);
$ptxt = str_replace("[/p]","</pre>",$ptxt);
$ptxt = str_replace("[/P]","</pre>",$ptxt);
$ptxt = str_replace("[i]","<i>",$ptxt);
$ptxt = str_replace("[I]","<i>",$ptxt);
$ptxt = str_replace("[/i]","</i>",$ptxt);
$ptxt = str_replace("[/I]","</i>",$ptxt);
$ptxt = str_replace("[u]","<u>",$ptxt);
$ptxt = str_replace("[U]","<u>",$ptxt);
$ptxt = str_replace("[/u]","</u>",$ptxt);
$ptxt = str_replace("[/U]","</u>",$ptxt);
$ptxt = str_replace("[q]","<br /><i>Dixit...</i><div style='padding: 4px; background-color: #FFFFFF; border: 1px solid #000099'>",$ptxt);
$ptxt = str_replace("[/q]","</div><br />",$ptxt);

$ptxt = eregi_replace("\\[l\\]([^\[\(\"']*)\\[/l\\]","<a href=\"\\1\" target=_blank>\\1</a>",$ptxt);
$ptxt = eregi_replace("\\[l\\]([^\[\(\"']*)\\[/L\\]","<a href=\"\\1\" target=_blank>\\1</a>",$ptxt);
$ptxt = eregi_replace("\\[L\\]([^\[\(\"']*)\\[/l\\]","<a href=\"\\1\" target=_blank>\\1</a>",$ptxt);
$ptxt = eregi_replace("\\[L\\]([^\[\(\"']*)\\[/L\\]","<a href=\"\\1\" target=_blank>\\1</a>",$ptxt);
$ptxt = eregi_replace("\\[l=([^\[\(\"']*)\\]([^\[]*)\\[/l\\]","<a href=\"\\1\" target=_blank>\\2</a>",$ptxt);
$ptxt = eregi_replace("\\[l=([^\[\(\"']*)\\]([^\[]*)\\[/L\\]","<a href=\"\\1\" target=_blank>\\2</a>",$ptxt);
$ptxt = eregi_replace("\\[L=([^\[\(\"']*)\\]([^\[]*)\\[/l\\]","<a href=\"\\1\" target=_blank>\\2</a>",$ptxt);
$ptxt = eregi_replace("\\[L=([^\[\(\"']*)\\]([^\[]*)\\[/L\\]","<a href=\"\\1\" target=_blank>\\2</a>",$ptxt);
$ptxt = eregi_replace("\\[l\\]www.([^\[\(\"']*)\\[/l\\]", "<a href=\"http://www.\\1\" target=_blank>\\1</a>",$ptxt);
$ptxt = eregi_replace("\\[l\\]www.([^\[\(\"']*)\\[/L\\]", "<a href=\"http://www.\\1\" target=_blank>\\1</a>",$ptxt);
$ptxt = eregi_replace("\\[L\\]www.([^\[\(\"']*)\\[/l\\]", "<a href=\"http://www.\\1\" target=_blank>\\1</a>",$ptxt);
$ptxt = eregi_replace("\\[L\\]www.([^\[\(\"']*)\\[/L\\]", "<a href=\"http://www.\\1\" target=_blank>\\1</a>",$ptxt);

$ptxt = preg_replace("/(\[c=([#a-zA-Z0-9]*)\])(.*?)(\[\/c\])/i", "<font style=\"color:\\2\">\\3</font>",$ptxt);
$ptxt = preg_replace("/(\[c=([#a-zA-Z0-9]*)\])(.*?)(\[\/C\])/i", "<font style=\"color:\\2\">\\3</font>",$ptxt);
$ptxt = preg_replace("/(\[C=([#a-zA-Z0-9]*)\])(.*?)(\[\/c\])/i", "<font style=\"color:\\2\">\\3</font>",$ptxt);
$ptxt = preg_replace("/(\[C=([#a-zA-Z0-9]*)\])(.*?)(\[\/C\])/i", "<font style=\"color:\\2\">\\3</font>",$ptxt);
?>
