<?
/*
     MinieditorTextarea ralis par Djchouix
     Web site = http://lebrikabrak.free.fr/
     e-mail   = lebrikabrak@free.fr
	 version 1.3 (25 septembre 2005) compatibilit avec guppy v4.5.x
*/

header("Pragma: no-cache");
define("CHEMIN", "../../../");
include(CHEMIN."inc/includes.inc");
//Protection contre les petits curieux
include(CHEMIN.'admin/editors/action.php');
if ($wri == "admin") {
    if (FileDBExist(CHEMIN."admin/mdp.php")) {
        @include(CHEMIN."admin/mdp.php");
	} else {
	    $mdp="bad";
	}
} else {
    if (FileDBExist(CHEMIN.'admin/'.REDACREP.$wri.INCEXT)) {
        @include(CHEMIN.'admin/'.REDACREP.$wri.INCEXT);
        $mdp=md5($drtuser[38]);
    } else {
        $mdp="bad";
    }
}
$portalname="GuppyAdmin";
if (empty($_COOKIE[$portalname]) || $_COOKIE[$portalname] != crc32($mdp)) {
    die('Une erreur d\'identification est survenue. Veuillez contacter l\'administrateur du site.');
} else {
//Fin de protection

//Control des variables passes en paramtre
$path_minieditortextarea_config = isset($_POST['pathconfig']) ? $_POST['pathconfig'] : (isset($_GET['pathconfig']) ? $_GET['pathconfig'] : '');
if(!eregi("^[a-z]{2,3}$",$lng) || ($path_minieditortextarea_config != '' && !eregi("^[-a-z0-9_]{1}[-a-z0-9_\/]*\/$",$path_minieditortextarea_config))) die('Erreur dans la valeur des variables. Veuillez contacter le webmaster du site.');
$uptype = isset($_POST['uptype']) ? $_POST['uptype'] : (isset($_GET['uptype']) ? $_GET['uptype'] : 'img');
if ($uptype != 'file' && $uptype != 'img' && $uptype != 'flash' ) die('Erreur dans la valeur de la variable uptype.Veuillez contacter le webmaster du site.');
$nameditor = isset($_POST['nameditor']) ? $_POST['nameditor'] : (isset($_GET['nameditor']) ? $_GET['nameditor'] : NULL);
if ($nameditor != 'minieditortextarea' && $nameditor != 'fckeditor_config' && $nameditor != 'htmlarea_config' ) die('Erreur dans la valeur de la variable nameditor.Veuillez contacter le webmaster du site.');

$pathDirMinieditor = 'admin/editors/';    //chemin relatif du rpertoire du miniditeur ( ne pas modifier pour ne pas perdre la compatibilit avec les autres plugins)
// Insertion du fichier de langue
if(file_exists(CHEMIN.$pathDirMinieditor.'upload/lang/'.$lng.'_upload.inc')) {
	include(CHEMIN.$pathDirMinieditor.'upload/lang/'.$lng.'_upload.inc');
} else {
	include(CHEMIN.$pathDirMinieditor.'upload/lang/en_upload.inc'); // fichier de langue par dfaut
}

//Rcupration de la config du miniditor s'il est prsent
if(file_exists(CHEMIN.$path_minieditortextarea_config.'minieditortextarea_config.inc')) {
	include(CHEMIN.$path_minieditortextarea_config.'minieditortextarea_config.inc');  //CONFIGURATION MINIEDITEUR
} elseif(file_exists(CHEMIN.$pathDirMinieditor.'minieditortextarea/minieditortextarea_config.inc')) {
	include(CHEMIN.$pathDirMinieditor.'minieditortextarea/minieditortextarea_config.inc');  //CONFIGURATION MINIEDITEUR PAR DEFAUT
} else {
	$path_minieditortextarea_config ='';
	$pathFilesMinieditor = 'admin/editors/';
	$accessUpload = true;
}

//Control autorisation upload
if($accessUpload == false) { die( htmlentities($lang_upload[21])); }

$rep = isset($_POST['rep']) ? $_POST['rep'] : (isset($_GET['rep']) ? $_GET['rep'] : $uptype);

$rep = strip_tags($rep);
$creatrep = isset($_POST['creatrep']) ? $_POST['creatrep'] : NULL;	     
$creatrep = strip_tags($creatrep);
$fnewname = isset($_GET['fnewname']) ? $_GET['fnewname'] : NULL;	     
$fnewname = strip_tags($fnewname);
$foldname = isset($_GET['foldname']) ? $_GET['foldname'] : NULL;	     
$foldname = strip_tags($foldname);
$del = isset($_GET['del']) ? $_GET['del'] : NULL;	     
$del = strip_tags($del);

$upvalid = isset($_POST['upvalid']) ? $_POST['upvalid'] : NULL;	     
if ($upvalid != NULL && $upvalid != 'ok' ) die('Erreur dans la valeur de la variable upvalid.Veuillez contacter l\'administrateur du site.');

//Suppression de sous-rpertoire
function DelSubRep($sous_dossier) {
	$d = opendir($sous_dossier); 
	while ($f = readdir($d)) {
        if(is_file($sous_dossier.$f)) {
            @unlink($sous_dossier.$f);
		}	
        if(is_dir($sous_dossier.$f) && $f != '..' && $f != '.') {
		    DelSubRep($sous_dossier.$f.'/');
            @rmdir($sous_dossier.$f);			 
		}
	}
	closedir($d);
}
//Creation d'un rpertoire
if (isset($creatrep) && $creatrep != "") {
    if ($creatrep == "0" ) {$creatrep = "0_";}
	$creatrep = str_replace(" ","_",$creatrep);
	$creatrep = str_replace("","e",$creatrep);
	$creatrep = str_replace("","e",$creatrep);
	$creatrep = str_replace("","e",$creatrep);
	$creatrep = str_replace("","i",$creatrep);
	$creatrep = str_replace("","a",$creatrep);
	$creatrep = str_replace("&","_",$creatrep);
	$creatrep = str_replace("<","_",$creatrep);
	$creatrep = str_replace(">","_",$creatrep);
	
	if(is_dir(CHEMIN.$rep.'/'.$creatrep)){
	    $pagerror = 1;
		$erreur = $lang_upload[1];		
    } else {		
        @mkdir(CHEMIN.$rep.'/'.$creatrep,0755);
		@copy(CHEMIN."data/index.php", CHEMIN.$rep.'/'.$creatrep."/index.php");
		@chmod(CHEMIN.$rep.'/'.$creatrep."/index.php", 0644);		
	  }
}
//Renommer un fichier ou un rpertoire
if (isset($fnewname) && $fnewname != "") {
	$fnewname = str_replace(" ","_",$fnewname);
	$fnewname = str_replace("","e",$fnewname);
	$fnewname = str_replace("","e",$fnewname);
	$fnewname = str_replace("","e",$fnewname);
	$fnewname = str_replace("","i",$fnewname);
	$fnewname = str_replace("","a",$fnewname);
	$fnewname = str_replace("&","_",$fnewname);
	$fnewname = str_replace("<","_",$fnewname);
	$fnewname = str_replace(">","_",$fnewname);
	
	$fext = substr($foldname,-4,4);
	if(is_file(CHEMIN.$rep.'/'.$foldname)) {	    
	    if (file_exists(CHEMIN.$rep.'/'.$fnewname.$fext)){
	  	   $pagerror = 1; 
		   $erreur = $lang_upload[2];
	    } else {	      
              rename(CHEMIN.$rep.'/'.$foldname , CHEMIN.$rep.'/'.$fnewname.$fext);
			  @chmod(CHEMIN.$rep.'/'.$fnewname.$fext,0644);
	      }
	} else if(is_dir(CHEMIN.$rep.'/'.$foldname)) {
	    if ($fnewname == "0" ){$fnewname = "0_";}	    
	    if (is_dir(CHEMIN.$rep.'/'.$fnewname)){
	  	   $pagerror = 1; 
		   $erreur = $lang_upload[3];
	    } else {	                
	          rename(CHEMIN.$rep.'/'.$foldname , CHEMIN.$rep.'/'.$fnewname);
			  @chmod(CHEMIN.$rep.'/'.$fnewname,0755);
	       }	
      }
}
//Supprimer un fichier ou un rpertoire
if (!empty($del)) {
  if(is_file(CHEMIN.$rep."/".$del)) {
      @unlink(CHEMIN.$rep."/".$del);
  }
  if(is_dir(CHEMIN.$rep."/".$del)) {
      DelSubRep(CHEMIN.$rep."/".$del."/");
	  if(rmdir(CHEMIN.$rep."/".$del) == false) {
	  	 $pagerror = 1;
		 $erreur = $lang_upload[4]; 
	  }
  }      	  
}

//Creation de l'index des fichiers
$dbfiles = array();
$i = 0;
$dossier = opendir(CHEMIN.$rep);
while ($fichier = readdir($dossier)) {
    if(is_dir(CHEMIN.$rep.'/'.$fichier) && $fichier != '.' && $fichier != '..') {
      $dbfiles[$i][0] = $fichier;
      $dbfiles[$i][1] = $pathFilesMinieditor."upload/img/directory.gif";
      $dbfiles[$i][2] = "dir";
	  $i++;
	 } else if (is_file(CHEMIN.$rep.'/'.$fichier) && $fichier != "index.php") {
      $dbfiles[$i][0] = $fichier;
	  $path_parts = substr($fichier,-3,3);
	  if(file_exists(CHEMIN.$pathFilesMinieditor."upload/img/".$path_parts.".gif")) {
      	  $dbfiles[$i][1] = $pathFilesMinieditor."upload/img/".$path_parts.".gif";
	  } else {
      	  $dbfiles[$i][1] = $pathFilesMinieditor."upload/img/default.gif";	  
	  }
	  $filesize = filesize(CHEMIN.$rep."/".$fichier);
	  $dbfiles[$i][2] = (strlen($filesize) < 7)? ereg_replace('([0-9]{3})$',' \\1',$filesize) : ereg_replace('([0-9]{3})([0-9]{3})$',' \\1 \\2',$filesize);
	  $i++;
  }
}
closedir($dossier);
@sort($dbfiles);
$i = 0;

//Upload des fichiers
if (isset($_FILES['ficup']['name']) && $_FILES['ficup']['name'] != "" && $upvalid == "ok") {
    $pagerror = 0;
	$_FILES['ficup']['name'] = strip_tags($_FILES['ficup']['name']);
    $_FILES['ficup']['name'] = str_replace(" ","_",$_FILES['ficup']['name']);
	$_FILES['ficup']['name'] = str_replace("","e",$_FILES['ficup']['name']);
	$_FILES['ficup']['name'] = str_replace("","e",$_FILES['ficup']['name']);
	$_FILES['ficup']['name'] = str_replace("","e",$_FILES['ficup']['name']);
	$_FILES['ficup']['name'] = str_replace("","i",$_FILES['ficup']['name']);
	$_FILES['ficup']['name'] = str_replace("","a",$_FILES['ficup']['name']);
	$_FILES['ficup']['name'] = str_replace("&","_",$_FILES['ficup']['name']);
	$_FILES['ficup']['name'] = str_replace("<","_",$_FILES['ficup']['name']);
	$_FILES['ficup']['name'] = str_replace(">","_",$_FILES['ficup']['name']);

	if (substr($_FILES['ficup']['name'],-4,1) != "."){
	     $pagerror = 1;
		 $erreur = $lang_upload[5]; 
	}

	if (file_exists(CHEMIN.$rep.'/'.$_FILES['ficup']['name'])){
	     $pagerror = 1; 
		 $erreur = $lang_upload[6];
	}
    if (is_uploaded_file($_FILES['ficup']['tmp_name']) && $pagerror != 1) {
       @copy($_FILES['ficup']['tmp_name'], CHEMIN.$rep.'/'.$_FILES['ficup']['name']);
	   @chmod(CHEMIN.$rep.'/'.$_FILES['ficup']['name'], 0644);
	   $i = (count($dbfiles) != 0 ) ? count($dbfiles)+1 : 0;   
	   $dbfiles[$i][0] = $_FILES['ficup']['name'];
	   $path_parts = substr($_FILES['ficup']['name'],-3,3);
	   if(file_exists(CHEMIN.$pathFilesMinieditor."upload/img/".$path_parts.".gif")) {	   
       	  $dbfiles[$i][1] = $pathFilesMinieditor."upload/img/".$path_parts.".gif";
	   } else {
      	  $dbfiles[$i][1] = $pathFilesMinieditor."upload/img/default.gif";	  
	   }
	   $filesize = filesize(CHEMIN.$rep.'/'.$_FILES['ficup']['name']);
	   $dbfiles[$i][2] = (strlen($filesize) < 7)? ereg_replace('([0-9]{3})$',' \\1',$filesize) : ereg_replace('([0-9]{3})([0-9]{3})$',' \\1 \\2',$filesize);
	   @sort($dbfiles);  
    } 
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title><? echo $lang_upload[13]; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=<? echo $charset; ?>">
<?
// Insertion du fichier CSS
if(file_exists(CHEMIN.$pathDirMinieditor.$nameditor.'/style_upload.css')) {
  echo '<link type="text/css" rel="stylesheet" href="'.CHEMIN.$pathDirMinieditor.$nameditor.'/style_upload.css">';
} elseif(file_exists(CHEMIN.$pathDirMinieditor.$nameditor.'/style_upload.inc')){
	echo '<style type="text/css">';
	include(CHEMIN.$pathDirMinieditor.$nameditor.'/style_upload.inc');
	echo '</style>';
} else {
  echo '<link type="text/css" rel="stylesheet" href="'.CHEMIN.$pathDirMinieditor.'upload/default_style_upload.css">';
}
?>
<script type="text/javascript">
<!--
//Affichage d'une image dans une popup
function popupImgUp(chemin) {
    var hauteurScreen= window.screen.height;
    var largeurScreen= window.screen.width;		
	
    FenImg = window.open("","","directories=0, menubar=0, status=0, resizable=1, scrollbars=0,location=0");
	FenImg.document.open();	
	
	var html = '<html><head><title><? echo $lang_upload[22]; ?><\/title>'
		html = html+'<script type="text/javascript" language="javascript">';
		html = html+'function ajustsize()  {';
		html = html+'var hauteurImg = document.images[0].height; var largeurImg = document.images[0].width; var top = ('+hauteurScreen+'- hauteurImg)/2; var left = ('+largeurScreen+'- largeurImg)/2; ';
		html = html+' if (document.images[0].complete) {  window.resizeTo(largeurImg+40,hauteurImg+70); window.moveTo(left,top); window.focus();} else { setTimeout("ajustsize();",500) } }<\/script>';
        html = html+'<\/head><body onload="ajustsize();"><div style="text-align:center; vertical-align:middle;"><img src="'+chemin+'" alt="" onclick="window.close();"/><\/div><\/body><\/html>';

	FenImg.document.write(html);
	FenImg.document.close();
	}
	
//Affichage des fichiers autre qu'une image dans une popup
function popupFileUp(chemin) {
    var hauteur = 500;
    var largeur = 700;
    var top=(screen.height-hauteur)/2;
    var left=(screen.width-largeur)/2;
    window.open(chemin, '', 'top='+top+', left='+left+', width='+largeur+', height='+hauteur+', resizable=yes,menubar=no,location=no,directories=no,status=no,copyhistory=no,toolbar=no,scrollbars=yes');
}

//Suppression d'un fichier ou d'un rpertoire	
function confirmDelFile(rep,file,type) {
    if (type == 'file') message = '<? echo $lang_upload[23]; ?> " '+file+' ".\n';
    if (type == 'dir') message = '<? echo $lang_upload[24]; ?> " '+file+' " <? echo $lang_upload[25]; ?>\n';
	message = message + " <? echo $lang_upload[26]; ?>";

    x = window.confirm(message);
	if (x == true) {
	   window.location = "upload.php?lng=<? echo $lng; ?>&uptype=<? echo $uptype; ?>&nameditor=<? echo $nameditor; ?>&pathconfig=<? echo $path_minieditortextarea_config; ?>&rep="+rep+"&del="+file;
	} else {
	      return false;
	 }
}

//Renommer un fichier ou un rpertoire
function renameFile(rep,file,type) {
    if (type == 'file') {
	    message = '<? echo $lang_upload[27]; ?> "'+file+'".\n';
		message2 = "<? echo $lang_upload[28]; ?>";
	}
    if (type == 'dir') {
	    message = '<? echo $lang_upload[29]; ?> "'+file+'".\n';
		message2 = '<? echo $lang_upload[30]; ?>';
	}
	message = message + '<? echo $lang_upload[31]; ?>';

    x = window.prompt(message,message2);
	if (x != null) {
	   window.location = "upload.php?lng=<? echo $lng; ?>&uptype=<? echo $uptype; ?>&nameditor=<? echo $nameditor; ?>&pathconfig=<? echo $path_minieditortextarea_config; ?>&rep="+rep+"&foldname="+file+"&fnewname="+x;
	} else {
	      return false;
	 }
}

//Retour au rpertoire parent
function RepParent(directory) {
	  dir = directory.split("/");
	  dir.length--;
      directory = dir.join("/");
	  x = document.forms["changedir"].elements["rep"].selectedIndex;
	  document.forms["changedir"].elements["rep"].options[x].value = directory;
	  document.forms["changedir"].submit();
}

//Rcupration de l'URL du fichier
<?
	include(CHEMIN.$pathDirMinieditor.$nameditor.'/jscript_upload.inc');
?>

//Afficher/Masquer l'aide
function OpenCloseHelp() {
   if (document.getElementById('helpClose') == null) {
    document.getElementById('help').style.display = 'block';
	document.getElementById('helpOpen').value = "<? echo $lang_upload[12]; ?>";	
	document.getElementById('helpOpen').id = 'helpClose';	
	} else {
    document.getElementById('help').style.display = 'none';
	document.getElementById('helpClose').value = "<? echo $lang_upload[11]; ?>";	
	document.getElementById('helpClose').id = 'helpOpen';	
	}
}

//Afficher lment survol
function MouseOverFile(y,x,z) {
    if (y == 'yes') {
        document.getElementById(x).id = z;
	} else {
        document.getElementById(z).id = x;
	}
}

//Vrifier que le champ est bien rempli avant envoi
function UploadValid(h,champ) {
    if (h.elements[champ].value != "") {
	   return true;
	} else {
	   alert("<? echo $lang_upload[20]; ?>");
	   return false;
	}
}
-->
</script>

</head>
<body>
<?
switch ($pagerror) {

    case "1" :
        echo '<form name="pbupload" action="upload.php?lng='.$lng.'" method="post" style="margin:0px;">';
		echo '<input type="hidden" name="pg" value="upload" />';
		echo '<input type="hidden" name="rep" value="'.$rep.'" />';
		echo '<input type="hidden" name="uptype" value="'.$uptype.'" />';
		echo '<input type="hidden" name="pathconfig" value="'.$path_minieditortextarea_config.'" />';
		echo '<input type="hidden" name="nameditor" value="'.$nameditor.'" />';
		echo '<div style="text-align:center; font-weight:bold; margin-top:15px;">'.$erreur.'</div>';
	    echo '<div style="text-align:center; margin-top:15px; margin-bottom:15px;"><input type="submit" class="bouton" id="retour" name="retour" value="'.$lang_upload[33].'"/></div>';    
        echo '</form>';
        break;

    default :
?>
        <div id="help" class="help"><? echo $lang_upload[7].$lang_upload[19]; ?></div>
        <form name="changedir" action="upload.php?lng=<? echo $lng ?>" method="POST">
		<input type="hidden" name="uptype" value="<? echo $uptype; ?>" />
		<input type="hidden" name="pathconfig" value="<? echo $path_minieditortextarea_config; ?>" />
		<input type="hidden" name="nameditor" value="<? echo $nameditor; ?>" />
        <div class="upload"><img src="<? echo CHEMIN.$pathFilesMinieditor; ?>upload/img/directory.gif" width="16" height="16" alt="<? echo $lang_upload[14]; ?>" title="<? echo $lang_upload[14]; ?>" /><? echo $lang_upload[14]; ?>&nbsp;: 
	    <select name="rep" onchange="document.changedir.submit();">
<?
		$imgselected = ($rep == 'img')? 'selected="selected"' : '';
		$photoselected = ($rep == 'photo')? 'selected="selected"' : '';
		$fileselected = ($rep == 'file')? 'selected="selected"' : '';
		$pagesselected = ($rep == 'pages')? 'selected="selected"' : '';
		$flashselected = ($rep == 'flash')? 'selected="selected"' : '';

		switch($uptype) {
			case 'img' :
				echo '<option value="img" '.$imgselected.'>img</option>';
				echo '<option value="photo" '.$photoselected.'>photo</option>';
			break;
			case 'file' :
				echo '<option value="img" '.$imgselected.'>img</option>';
				echo '<option value="photo" '.$photoselected.'>photo</option>';
				echo '<option value="file" '.$fileselected.'>file</option>';
				echo '<option value="pages" '.$pagesselected.'>pages</option>';
				echo '<option value="flash" '.$flashselected.'>flash</option>';
			break;
			case 'flash' :
				echo '<option value="flash" '.$flashselected.'>flash</option>';
			break;
			default :			

		}          
		if ($rep != 'file' && $rep != 'img' && $rep != 'pages' && $rep != 'photo' && $rep != 'flash' ) echo  '<option value="" selected>'.$rep.'</option>';
?>			
        </select>
		<input id="helpOpen" class="bouton" type="button" value="<? echo $lang_upload[11]; ?>" onClick="OpenCloseHelp()" />	    
		</div>
<?
            echo '<table cellpadding="0" cellspacing="0" width="90%" border="0" align="center">';
		    echo '<tr class="forum">';
            echo '<td id="forumName" nowrap>'.$lang_upload[15].'</td><td id="forumSize" nowrap width="10%">'.$lang_upload[16].'</td><td id="forumAction" nowrap width="12%">'.$lang_upload[17].'</td>';
			echo '</tr>';
            if ($rep != 'file' && $rep != 'img' && $rep != 'pages' && $rep != 'photo' && $rep != 'flash' ) {
			     echo '<tr class="quest" id="trdir" onmouseover="MouseOverFile(\'yes\',\'trdir\',\'trsurvol\');" onmouseout="MouseOverFile(\'no\',\'trdir\',\'trsurvol\');" >';
			     echo '<td class="fileName"><img src="'.CHEMIN.$pathFilesMinieditor.'upload/img/parent_directory.gif" width="16" height="16" border="0" alt="'.$lang_upload[34].'" title="'.$lang_upload[34].'" class="imgName" /><strong>..</strong></td>';
				 echo '<td class="fileSize">dir</td>';
			     echo '<td class="fileAction"><img id="on" src="'.CHEMIN.$pathFilesMinieditor.'upload/img/on.gif" border="0" width="16" height="16" alt="'.$lang_upload[32].'" title="'.$lang_upload[32].'" class="imgAction2" onClick="RepParent(\''.$rep.'\');" onmouseover="MouseOverFile(\'yes\',\'on\',\'imgsurvol\');" onmouseout="MouseOverFile(\'no\',\'on\',\'imgsurvol\');" /></td>';
                 echo '</tr>';
            }

            for ($i = 0; $i < count($dbfiles); $i++) {
			    $ext = substr($dbfiles[$i][0],-4,4);
			    $n = ($i/2);
		        if (is_integer($n)) {
			         echo '<tr class="rep" id="tr'.$i.'" onmouseover="MouseOverFile(\'yes\',\'tr'.$i.'\',\'trsurvol\');" onmouseout="MouseOverFile(\'no\',\'tr'.$i.'\',\'trsurvol\');">';
			    }else {
			         echo '<tr class="quest" id="tr'.$i.'" onmouseover="MouseOverFile(\'yes\',\'tr'.$i.'\',\'trsurvol\');" onmouseout="MouseOverFile(\'no\',\'tr'.$i.'\',\'trsurvol\');">';
			    }
                if ($dbfiles[$i][2] == 'dir') {
				    echo '<td class="fileName"><img src="'.CHEMIN.$dbfiles[$i][1].'" width="16" height="16" alt="'.$lang_upload[14].'" title="'.$lang_upload[14].'" border="0" class="imgName" />'.$dbfiles[$i][0].'</td>';		
				    echo '<td class="fileSize">'.$dbfiles[$i][2].'</td>';
				    echo '<td class="fileAction"><a href="upload.php?lng='.$lng.'&amp;rep='.$rep.'/'.$dbfiles[$i][0].'&amp;uptype='.$uptype.'&amp;pathconfig='.$path_minieditortextarea_config.'&amp;nameditor='.$nameditor.'"><img id="on'.$i.'" src="'.CHEMIN.$pathFilesMinieditor.'upload/img/on.gif" border="0" width="16" height="16" alt="'.$lang_upload[32].'" title="'.$lang_upload[32].'" class="imgAction" onmouseover="MouseOverFile(\'yes\',\'on'.$i.'\',\'imgsurvol\');" onmouseout="MouseOverFile(\'no\',\'on'.$i.'\',\'imgsurvol\');" /></a>';
				    echo '<img id="nom'.$i.'" src="'.CHEMIN.$pathFilesMinieditor.'upload/img/edit.gif" border="0" width="16" height="16" alt="'.$lang_upload[36].'" title="'.$lang_upload[36].'" class="imgAction2"  onclick=\'renameFile("'.$rep.'","'.$dbfiles[$i][0].'","dir");\' onmouseover="MouseOverFile(\'yes\',\'nom'.$i.'\',\'imgsurvol\');" onmouseout="MouseOverFile(\'no\',\'nom'.$i.'\',\'imgsurvol\');" />';											
					echo '<img id="sup'.$i.'" src="'.CHEMIN.$pathFilesMinieditor.'upload/img/sup.gif" border="0" width="16" height="16" alt="'.$lang_upload[37].'" title="'.$lang_upload[37].'" class="imgAction"  onclick=\'confirmDelFile("'.$rep.'","'.$dbfiles[$i][0].'","dir");\' onmouseover="MouseOverFile(\'yes\',\'sup'.$i.'\',\'imgsurvol\');" onmouseout="MouseOverFile(\'no\',\'sup'.$i.'\',\'imgsurvol\');" /></td>';
				} else {
				    echo '<td class="fileName"><img src="'.CHEMIN.$dbfiles[$i][1].'" width="16" height="16" alt="'.$rep.'/'.$dbfiles[$i][0].'" title="'.$rep.'/'.$dbfiles[$i][0].'" border="0" class="imgName" />';
 					switch ($uptype) {
						case 'img' :
					    	if ($ext == '.gif' || $ext == '.jpg' || $ext == '.png') {
						    	$image_size = getimagesize($site[3].$rep.'/'.$dbfiles[$i][0]);
					        	echo '<a name="file'.$i.'" href="#file'.$i.'" onclick=\'openURL("'.$site[3].$rep.'/'.$dbfiles[$i][0].'","img","'.$dbfiles[$i][0].'","'.$image_size[0].'","'.$image_size[1].'");\' >'.$dbfiles[$i][0].'</a>';						
							} else {
								echo $dbfiles[$i][0];
							}
						break;
						case 'flash' :
					    	if ($ext == '.swf' || $ext == '.fla') {
					        	echo '<a name="file'.$i.'" href="#file'.$i.'" onclick=\'openURL("'.$site[3].$rep.'/'.$dbfiles[$i][0].'","flash","'.$dbfiles[$i][0].'","","");\' >'.$dbfiles[$i][0].'</a>';
							} else {
								echo $dbfiles[$i][0];
							}
						break;
						case 'file' :
					    	echo '<a name="file'.$i.'" href="#file'.$i.'" onclick=\'openURL("'.$site[3].$rep.'/'.$dbfiles[$i][0].'","file","'.$dbfiles[$i][0].'","","");\' >'.$dbfiles[$i][0].'</a>';
						break;
						default :
				        	echo $dbfiles[$i][0];						    
					}				
					echo '</td>';		
		            echo '<td class="fileSize">'.$dbfiles[$i][2].'</td>';
				    if ($ext == ".gif" || $ext == ".jpg" || $ext == ".png") {
                        echo '<td class="fileAction"><img id="on'.$i.'" src="'.CHEMIN.$pathFilesMinieditor.'upload/img/look.gif" width="16" height="16" border="0" alt="'.$lang_upload[35].'" title="'.$lang_upload[35].'" class="imgAction" onclick=\'popupImgUp("'.CHEMIN.$rep.'/'.$dbfiles[$i][0].'");\' onmouseover="MouseOverFile(\'yes\',\'on'.$i.'\',\'imgsurvol\');" onmouseout="MouseOverFile(\'no\',\'on'.$i.'\',\'imgsurvol\');"/>';
				    } else{
                        echo '<td class="fileAction"><img id="on'.$i.'" src="'.CHEMIN.$pathFilesMinieditor.'upload/img/look.gif" width="16" height="16" border="0" alt="'.$lang_upload[35].'" title="'.$lang_upload[35].'" class="imgAction" onclick=\'popupFileUp("'.CHEMIN.$rep.'/'.$dbfiles[$i][0].'");\' onmouseover="MouseOverFile(\'yes\',\'on'.$i.'\',\'imgsurvol\');" onmouseout="MouseOverFile(\'no\',\'on'.$i.'\',\'imgsurvol\');"/>';
					}
					echo '<img id="nom'.$i.'" src="'.CHEMIN.$pathFilesMinieditor.'upload/img/edit.gif" border="0" width="16" height="16" alt="'.$lang_upload[36].'" title="'.$lang_upload[36].'" class="imgAction2"  onclick=\'renameFile("'.$rep.'","'.$dbfiles[$i][0].'","file");\' onmouseover="MouseOverFile(\'yes\',\'nom'.$i.'\',\'imgsurvol\');" onmouseout="MouseOverFile(\'no\',\'nom'.$i.'\',\'imgsurvol\');" />';											
					echo '<img id="sup'.$i.'" src="'.CHEMIN.$pathFilesMinieditor.'upload/img/sup.gif" border="0" width="16" height="16" alt="'.$lang_upload[37].'" title="'.$lang_upload[37].'" class="imgAction"  onclick=\'confirmDelFile("'.$rep.'","'.$dbfiles[$i][0].'","file");\' onmouseover="MouseOverFile(\'yes\',\'sup'.$i.'\',\'imgsurvol\');" onmouseout="MouseOverFile(\'no\',\'sup'.$i.'\',\'imgsurvol\');" /></td>';
				}			
                echo '</tr>';
            }
            echo '</table>';
?>		
        </form>
<?
		//UPLOAD
        echo '<form name="uploadit" enctype="multipart/form-data" action="upload.php?lng='.$lng.'" method="POST" onsubmit="return UploadValid(this,\'ficup\');" >';
        echo '<input type="hidden" name="rep" value="'.$rep.'" />';
		echo '<input type="hidden" name="upvalid" value="ok" />';
		echo '<input type="hidden" name="uptype" value="'.$uptype.'" />';
		echo '<input type="hidden" name="pathconfig" value="'.$path_minieditortextarea_config.'" />';
		echo '<input type="hidden" name="nameditor" value="'.$nameditor.'" />';
        echo '<div><img src="'.CHEMIN.$pathFilesMinieditor.'upload/img/upload.gif" width="16" height="16" border="0" alt="'.$lang_upload[13].'" title="'.$lang_upload[13].'" />'.$lang_upload[13].'</div>';
        echo '<div class="upload"><input type="file" name="ficup" size="27" /><input class="bouton" type="submit" value="'.$lang_upload[18].'" /></div>';
        echo '</form>';
		//CREATION REPERTOIRE
		echo '<form name="createdit"  action="upload.php?lng='.$lng.'" method="POST" onsubmit="return UploadValid(this,\'creatrep\');">';
        echo '<input type="hidden" name="rep" value="'.$rep.'" />';
        echo '<input type="hidden" name="uptype" value="'.$uptype.'" />';
		echo '<input type="hidden" name="pathconfig" value="'.$path_minieditortextarea_config.'" />';
        echo '<input type="hidden" name="nameditor" value="'.$nameditor.'" />';
        echo '<div><img src="'.CHEMIN.$pathFilesMinieditor.'upload/img/directory.gif" width="16" height="16" border="0" alt="'.$lang_upload[8].'" title="'.$lang_upload[8].'" />'.$lang_upload[8].'</div>';
        echo '<div class="upload">'.$lang_upload[9].'&nbsp;:&nbsp;<input type="text" name="creatrep" size="30" value=""/><input class="bouton" type="submit" value="'.$lang_upload[10].'" /></div>';
        echo '</form>';
}		
?>
</body>
</html>
<?
}
?>